// Теоретический вопрос

// Напишите как вы понимаете рекурсию. 
// Для чего она используется на практике?


// Задание
// Реализовать функцию подсчета факториала числа.
//  Задача должна быть реализована на языке javascript,
//   без использования фреймворков и сторонник библиотек (типа Jquery).

// Технические требования:

// Считать с помощью модального окна браузера число, которое введет пользователь.
// С помощью функции посчитать факториал числа, которое ввел пользователь, и вывести его на экран.
// Использовать синтаксис ES6 для работы с перемеными и функциями.


// Необязательное задание продвинутой сложности:

// После ввода данных добавить проверку их корректности.
//  Если пользователь не ввел число, либо при вводе указал не число,
//   - спросить число заново (при этом значением по умолчанию для него должна быть введенная 
//     ранее информация).

let numUser = +prompt("Введите число");

function factorial (n, result, lastNum){
    if (n <= lastNum ){
        result = result * n
        n++
        return factorial(n, result, lastNum )
    }
    return result
} 

const res = factorial(1, 1, numUser)

console.log(res);